Subject: Re: [patch 4/6] ps3: Disk Storage Driver

From: Christoph Hellwig <[email-masked]>
Date: Tue, 19 Jun 2007 10:15:46 +0200

On Mon, Jun 18, 2007 at 11:07:31PM -0700, David Miller wrote:
> The main disk I/O block read and write is done using descriptors
> sent to the disk server.  SCSI pass-through is provided (optionally)
> so that disk analysis tools can do things like MODE_SENSE on the
> disk.

SG_IO can easily be implemented for block devices.  See cciss in
current mainline for an example.